Package org.eclipse.emf.cdo.server.ocl

# Class OCLQueryHandler.ContextParameter

java.lang.Object
org.eclipse.emf.cdo.server.ocl.OCLQueryHandler.ContextParameter

Enclosing class:
  `OCLQueryHandler`

protected static final class OCLQueryHandler.ContextParameter extends Object
An abstraction of the `classifier` and/or `object` of an OCL query context parameter.

Since:
  4.2
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`ContextParameter(CDOView view, CDOQueryInfo info)`
`ContextParameter(EClassifier classifier, EObject object)`

## Method Summary

Modifier and Type
Method
Description
`protected static EClassifier`
`getArbitraryContextClassifier(CDOPackageRegistry packageRegistry)`
`EClassifier`
`getClassifier()`
`EObject`
`getObject()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContextParameter

public ContextParameter(CDOView view, CDOQueryInfo info)

### ContextParameter

public ContextParameter(EClassifier classifier, EObject object)

## Method Details

### getClassifier

public EClassifier getClassifier()

### getObject

public EObject getObject()

### getArbitraryContextClassifier

protected static EClassifier getArbitraryContextClassifier(CDOPackageRegistry packageRegistry)